/**
 * output package name
 */
package com.kingdee.eas.custom.log.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class dataDirectionEnum extends StringEnum
{
    public static final String FLOWINTO_VALUE = "1";//alias=
    public static final String OUTFLOW_VALUE = "2";//alias=

    public static final dataDirectionEnum flowInto = new dataDirectionEnum("flowInto", FLOWINTO_VALUE);
    public static final dataDirectionEnum outflow = new dataDirectionEnum("outflow", OUTFLOW_VALUE);

    /**
     * construct function
     * @param String dataDirectionEnum
     */
    private dataDirectionEnum(String name, String dataDirectionEnum)
    {
        super(name, dataDirectionEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static dataDirectionEnum getEnum(String dataDirectionEnum)
    {
        return (dataDirectionEnum)getEnum(dataDirectionEnum.class, dataDirectionEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(dataDirectionEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(dataDirectionEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(dataDirectionEnum.class);
    }
}