/**
 * output package name
 */
package com.kingdee.eas.custom.log.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class syncEntityNameEnum extends StringEnum
{
    public static final String ADMINORG_VALUE = "1";//alias=
    public static final String POSTITON_VALUE = "2";//alias=λ
    public static final String PERSON_VALUE = "3";//alias=Ա
    public static final String CARDRECORD_VALUE = "4";//alias=򿨼¼

    public static final syncEntityNameEnum adminOrg = new syncEntityNameEnum("adminOrg", ADMINORG_VALUE);
    public static final syncEntityNameEnum postiton = new syncEntityNameEnum("postiton", POSTITON_VALUE);
    public static final syncEntityNameEnum person = new syncEntityNameEnum("person", PERSON_VALUE);
    public static final syncEntityNameEnum cardRecord = new syncEntityNameEnum("cardRecord", CARDRECORD_VALUE);

    /**
     * construct function
     * @param String syncEntityNameEnum
     */
    private syncEntityNameEnum(String name, String syncEntityNameEnum)
    {
        super(name, syncEntityNameEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static syncEntityNameEnum getEnum(String syncEntityNameEnum)
    {
        return (syncEntityNameEnum)getEnum(syncEntityNameEnum.class, syncEntityNameEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(syncEntityNameEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(syncEntityNameEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(syncEntityNameEnum.class);
    }
}