/**
 * output package name
 */
package com.kingdee.eas.custom.log.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class syncStatusEnum extends StringEnum
{
    public static final String SUCCEED_VALUE = "1";//alias=ɹ
    public static final String ERROR_VALUE = "2";//alias=ʧ

    public static final syncStatusEnum succeed = new syncStatusEnum("succeed", SUCCEED_VALUE);
    public static final syncStatusEnum error = new syncStatusEnum("error", ERROR_VALUE);

    /**
     * construct function
     * @param String syncStatusEnum
     */
    private syncStatusEnum(String name, String syncStatusEnum)
    {
        super(name, syncStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static syncStatusEnum getEnum(String syncStatusEnum)
    {
        return (syncStatusEnum)getEnum(syncStatusEnum.class, syncStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(syncStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(syncStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(syncStatusEnum.class);
    }
}