/**
 * output package name
 */
package com.kingdee.eas.custom.synctask;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class actionTypeEnum extends StringEnum
{
    public static final String ADD_VALUE = "ADD";//alias=
    public static final String EDIT_VALUE = "EDIT";//alias=༭
    public static final String DELETE_VALUE = "DELETE";//alias=ɾ

    public static final actionTypeEnum ADD = new actionTypeEnum("ADD", ADD_VALUE);
    public static final actionTypeEnum EDIT = new actionTypeEnum("EDIT", EDIT_VALUE);
    public static final actionTypeEnum DELETE = new actionTypeEnum("DELETE", DELETE_VALUE);

    /**
     * construct function
     * @param String actionTypeEnum
     */
    private actionTypeEnum(String name, String actionTypeEnum)
    {
        super(name, actionTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static actionTypeEnum getEnum(String actionTypeEnum)
    {
        return (actionTypeEnum)getEnum(actionTypeEnum.class, actionTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(actionTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(actionTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(actionTypeEnum.class);
    }
}